import { defineConfig } from 'astro/config'
import tailwind from '@astrojs/tailwind'
import { astroImageTools } from 'astro-imagetools'
import robotsTxt from 'astro-robots-txt'
import sitemap from '@astrojs/sitemap'
import prefetch from '@astrojs/prefetch'
import partytown from '@astrojs/partytown'

import mdx from '@astrojs/mdx'

// https://astro.build/config
export default defineConfig({
    site: 'https://ethanreece.com',
    integrations: [
        tailwind(),
        astroImageTools,
        robotsTxt(),
        sitemap(),
        prefetch(),
        partytown(),
        mdx(),
    ],
})
